=== debian/changelog ===
fife (0.4.1-2build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:23 +0000

fife (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Stop building fife on mips and mipsel due to architecture limitations which
    cause FTBFS and prevent newer versions from migrating to testing.
    Add alpha to WEAK_HOSTS and hope it builds again.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Jul 2017 22:54:31 +0200

fife (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.1.
  * Add get-orig-source target.
  * Declare compliance with Debian Policy 4.0.0.
  * Tighten build-dependency on libfifechan-dev to >= 0.1.4.
  * Use https for Format field.
  * Change homepage link to http://www.fifengine.net/. (Closes: #854620)

 -- Markus Koschany <apo@debian.org>  Fri, 07 Jul 2017 11:26:24 +0200
