=== debian/changelog ===
fife (0.4.1+git20180904-2) unstable; urgency=medium

  * Team upload.
  * Build the Python 3 version of fife from now on.

 -- Markus Koschany <apo@debian.org>  Thu, 06 Sep 2018 15:05:18 +0200

fife (0.4.1+git20180904-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.1+git20180904.
  * Remove glee-dev from Build-Depends. Build-depend on libglew-dev instead.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Build for any again and try to avoid memory exhaustion by using -g1 on 32
    bit architectures. (Closes: #718274)
  * Use new dh_missing override.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Sep 2018 15:08:24 +0200
