=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
- glee-dev,
  libalut-dev,
  libasound2-dev,
  libboost-dev,
  libboost-filesystem-dev,
  libboost-regex-dev,
  libboost-test-dev,
- libfifechan-dev (>= 0.1.4),
+ libfifechan-dev (>= 0.1.4+git20180904),
+ libglew-dev,
  libopenal-dev,
  libpng-dev,
  libsdl2-image-dev,
@@ -25,21 +25,21 @@
  libunittest++-dev,
  libvorbis-dev,
  libxcursor-dev,
- python-all-dev (>= 2.6.6-3~),
+ python3-dev,
+ python3,
  swig,
  zlib1g-dev
-X-Python-Version: >= 2.6
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/fife.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fife.git
 Homepage: http://www.fifengine.net/
 
-Package: python-fife
+Package: python3-fife
 Section: python
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el s390x alpha hppa hurd-i386 kfreebsd-any m68k powerpc powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Depends:
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
 Breaks:
  unknown-horizons (<< 2013.1),
