## fife 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(FIFE_MAJOR_VERSION 0)
 set(FIFE_MINOR_VERSION 4)
-set(FIFE_PATCH_VERSION 1)
+set(FIFE_PATCH_VERSION 2)
 set(FIFE_VERSION_SHORT ${FIFE_MAJOR_VERSION}.${FIFE_MINOR_VERSION}.${FIFE_PATCH_VERSION})
 
 # check if "git" is installed
@@ -56,11 +56,7 @@
 option(opengl           "Enable OpenGL support"                                 ON)
 option(fifechan         "Enable Fifechan GUI subsystem"                         ON)
 option(librocket        "Enable Librocket GUI subsystem"                        OFF)
-if(UNIX AND NOT APPLE)
-  option(cegui            "Enable Crazy Eddie's GUI subsystem"                    OFF)
-else()
-  option(cegui            "Enable Crazy Eddie's GUI subsystem"                    ON)
-endif()
+option(cegui            "Enable Crazy Eddie's GUI subsystem"                    OFF)
 option(logging          "Enable logging"                                        ON)
 option(build-python     "Build the python extension module"                     ON)
 option(build-library    "Build and install files to directly develop with c++"  OFF)
@@ -261,3 +257,5 @@
   ${PROJECT_SOURCE_DIR}/engine/core/model/metamodel/timeprovider.cpp
   ${PROJECT_SOURCE_DIR}/engine/core/model/metamodel/grids/cellgrid.cpp
   ${PROJECT_SOURCE_DIR}/engine/core/model/metamodel/grids/hexgrid.cpp
+  ${PROJECT_SOURCE_DIR}/engine/core/model/metamodel/grids/squaregrid.cpp
+  ${PROJECT_SOURCE_DIR}/engine/core/model/structures/cell.cpp
