=== dependencies/CMakeLists.txt ===
--- 
+++ 
@@ -65,10 +65,11 @@
 OPTION(FIFE_DEPENDENCY_SDL2          "Download and build dependency: SDL2"       ON)
 OPTION(FIFE_DEPENDENCY_SDL2_IMAGE    "Download and build dependency: SDL2_IMAGE" ON)
 OPTION(FIFE_DEPENDENCY_SDL2_TTF      "Download and build dependency: SDL2_TTF"   ON)
+OPTION(FIFE_DEPENDENCY_GLEW          "Download and build dependency: GLEW"       ON)
 # TODO boost
 OPTION(FIFE_DEPENDENCY_ZLIB          "Download and build dependency: ZLIB"       ON)
 OPTION(FIFE_DEPENDENCY_LIBPNG        "Download and build dependency: LIBPNG"     ON)
-OPTION(FIFE_DEPENDENCY_OPENAL        "Download and build dependency: OPENAL"     ON)
+OPTION(FIFE_DEPENDENCY_OPENALSOFT    "Download and build dependency: OPENALSOFT" ON)
 OPTION(FIFE_DEPENDENCY_SWIG          "Download and build dependency: SWIG"       ON)
 OPTION(FIFE_DEPENDENCY_TINYXML       "Download and build dependency: TINYXML"    ON)
 OPTION(FIFE_DEPENDENCY_LIBOGG        "Download and build dependency: LIBOGG"     ON)
@@ -91,6 +92,10 @@
     INCLUDE(get-sdl2_ttf)
 ENDIF(FIFE_DEPENDENCY_SDL2_TTF)
 
+IF(FIFE_DEPENDENCY_GLEW)
+    INCLUDE(get-glew)
+ENDIF(FIFE_DEPENDENCY_GLEW)
+
 # TODO: boost
 
 IF(FIFE_DEPENDENCY_ZLIB)
@@ -101,9 +106,9 @@
     INCLUDE(get-libpng)
 ENDIF(FIFE_DEPENDENCY_LIBPNG)
 
-IF(FIFE_DEPENDENCY_OPENAL)
-    INCLUDE(get-openal)
-ENDIF(FIFE_DEPENDENCY_OPENAL)
+IF(FIFE_DEPENDENCY_OPENALSOFT)
+    INCLUDE(get-openalsoft)
+ENDIF(FIFE_DEPENDENCY_OPENALSOFT)
 
 IF(FIFE_DEPENDENCY_SWIG)
     INCLUDE(get-swig)
