=== debian/changelog ===
fife (0.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/0001-sdl2-config.patch (Closes: #951962).
  * Add debian/patches/0002-swig4.patch (Closes: #953016).
  * Remove all Breaks.
    - "unknown-horizons (<< 2013.1)" is not even in oldoldstable.
    - ${python:Breaks} (or ${python3:Breaks}) is undefined.
  * Switch to debhelper-compat 12. Remove file debian/compat.
  * Add Rules-Requires-Root: no.
  * Use HTTPS in Homepage.
  * Declare compliance with Debian Policy 4.5.0.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 29 Mar 2020 16:59:10 +0300

fife (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.2.
  * Tighten B-D on libfifechan-dev.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Mon, 14 Jan 2019 21:07:03 +0100
