=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  libalut-dev,
  libasound2-dev,
@@ -14,7 +14,7 @@
  libboost-filesystem-dev,
  libboost-regex-dev,
  libboost-test-dev,
- libfifechan-dev (>= 0.1.4+git20180904),
+ libfifechan-dev (>= 0.1.5),
  libglew-dev,
  libopenal-dev,
  libpng-dev,
@@ -29,10 +29,11 @@
  python3,
  swig,
  zlib1g-dev
-Standards-Version: 4.2.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/fife.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fife.git
-Homepage: http://www.fifengine.net/
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/games-team/fife.git
+Vcs-Browser: https://salsa.debian.org/games-team/fife
+Homepage: https://www.fifengine.net/
 
 Package: python3-fife
 Section: python
@@ -41,9 +42,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
-Breaks:
- unknown-horizons (<< 2013.1),
- ${python:Breaks}
 Description: FIFE is a multi-platform isometric game engine
  FIFE stands for Flexible Isometric Free Engine and is a cross
  platform game creation framework written in C++. It provides you with
