=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

MAX  := 2
TYPE := RelWithDebInfo

ifeq (32,$(DEB_HOST_ARCH_BITS))
ifeq (,$(filter $(DEB_HOST_ARCH), i386))
	MAX  := 1
	TYPE := Release
	export DEB_CFLAGS_MAINT_APPEND = -g1
	export DEB_CXXFLAGS_MAINT_APPEND = -g1
endif
endif

%:
	dh $@ --max-parallel=$(MAX) --with python3 --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=$(TYPE) \
		-DPYTHON_EXECUTABLE="/usr/bin/python3"

override_dh_install:
	dh_install
	find debian/ -name "LICENSE.md" -delete

override_dh_missing:
	dh_missing --fail-missing
